Workflows
Workflows
GET /api/v1/workflows
Get Workflows
Response
Type: []Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflowsPOST /api/v1/workflows
Create Workflow
Request Body
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Response
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/workflowsGET /api/v1/workflows/{id}
Get Workflow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{id}PUT /api/v1/workflows/{id}
Update Workflow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Request Body
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Response
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Example
curl -X PUT \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}' \
https://api.seeme.ai/api/v1/workflows/{id}DELETE /api/v1/workflows/{id}
Delete Workflow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{id}GET /api/v1/workflows/{id}/logo
Get Workflow Logo
downloadWorkflowLogo serves the logo for a workflow from files/workflows/{id}/
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X GET \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{id}/logoPOST /api/v1/workflows/{id}/logo
Create Workflow Logo
uploadWorkflowLogo uploads a logo for a workflow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Response
Type: Workflow
| Field | Type | Description |
|---|---|---|
id | uuid.UUID | |
created_at | time.Time | |
updated_at | time.Time | |
name | string | |
description | string | |
user_id | string | |
notes | string | |
has_logo | bool | |
logo | string | |
public | bool | |
shared_with_me | bool | |
share_role | string | Role slug if shared (share_viewer, share_editor) (optional) |
organization_id | string | Multi-tenancy fields (Phase 1 RBAC) |
| These are nullable to maintain backward compatibility - resources without | ||
| org/project assignment belong to the user’s “personal workspace” (optional) | ||
project_id | string | (optional) |
visibility | string | Visibility controls access inheritance (defaults to existing Public behavior) |
| “private” = only explicit grants, “project” = project members, “team” = team members, | ||
| “org” = org members, “public” = anyone (same as Public=true) (optional) | ||
active_version_id | string | |
versions | []WorkflowVersion |
Example
curl -X POST \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
https://api.seeme.ai/api/v1/workflows/{id}/logoDELETE /api/v1/workflows/{id}/logo
Delete Workflow Logo
deleteWorkflowLogo deletes the logo for a workflow
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | true |
Example
curl -X DELETE \
-H "Authorization: Bearer <token>" \
https://api.seeme.ai/api/v1/workflows/{id}/logo